Closed Bug 1548785 Opened 6 months ago Closed 6 months ago

vcs-setup does not support --git argument

Categories

(Firefox Build System :: General, defect)

68 Branch
defect
Not set

Tracking

(firefox68 fixed)

RESOLVED FIXED
mozilla68
Tracking Status
firefox68 --- fixed

People

(Reporter: saschanaz, Assigned: mshal)

References

(Regression)

Details

(Keywords: in-triage)

Attachments

(1 file)

User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:68.0) Gecko/20100101 Firefox/68.0

Steps to reproduce:

I ran ./mach try in a git clone without git-cinnabar.

Actual results:

It recommends user to run ./mach vcs-setup --git but this command does not support --git.

Expected results:

The command should support --git or the error message should remove --git.

Assignee: nobody → mshal
Regressed by: 1484243

Bug 1484243 removed the --git argument and made the VCS auto-detected,
so we should no longer suggest passing in that argument in error
messages.

Status: UNCONFIRMED → ASSIGNED
Ever confirmed: true
Pushed by mshal@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/1ff1cdb1f081
Remove suggestion to pass '--git' to 'mach vcs-setup'; r=froydnj
Status: ASSIGNED → RESOLVED
Closed: 6 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla68
You need to log in before you can comment on or make changes to this bug.